NX Open C++ Reference Guide
|
Represents a Groove Weld feature
To create a new instance of this class, use Weld::WeldManager::CreateWeldGrooveBuilder
Created in NX5.0.0.
More...
Public Member Functions | |
NXOpen::Weld::WeldGrooveExtension | BottomExtension () |
Returns the extension method for the bottom edges | |
NXOpen::Weld::WeldContourShape | ContourShape () |
Returns the contour contour shape. | |
NXOpen::Expression * | DistanceFromEnd () |
Returns the distance from the end of the faces to build the groove weld | |
NXOpen::Expression * | DistanceFromStart () |
Returns the distance from the start of the faces to build the groove weld | |
NXOpen::ScCollector * | FirstFaceset () |
Returns the first set of faces | |
NXOpen::Section * | FirstFacesetBottomEdges () |
Returns the first set bottom edges to extend | |
NXOpen::Point3d | FirstFacesetHelpPoint () |
Returns the first set help point. | |
NXOpen::Section * | FirstFacesetTopEdges () |
Returns the first set top edges to extend | |
NXOpen::Expression * | GetContourHeight () |
Gets the contour height needed to describe groove weld shape. | |
std::vector< NXOpen::Face * > | GetFirstFacesetEndAdjacentFaces () |
Gets the adjacent faces of the target solid. | |
std::vector< NXOpen::Face * > | GetFirstFacesetStartAdjacentFaces () |
Gets the adjacent faces of the target solid. | |
NXOpen::Expression * | GetGrooveAngle () |
Gets the groove angle needed to describe groove weld. | |
NXOpen::Expression * | GetGrooveRadius () |
Gets the groove radius needed to describe groove weld. | |
NXOpen::Expression * | GetPenetrationDepth () |
Gets the penetration depth needed to describe groove weld. | |
NXOpen::Expression * | GetRootOpening () |
Gets the root opening height needed to describe groove weld. | |
NXOpen::Expression * | GetRootPenetration () |
Gets the root penetration needed to describe groove weld. | |
std::vector< NXOpen::Face * > | GetSecondFacesetEndAdjacentFaces () |
Gets the adjacent faces of the target solid. | |
std::vector< NXOpen::Face * > | GetSecondFacesetStartAdjacentFaces () |
Gets the adjacent faces of the target solid. | |
NXOpen::Expression * | GetSecondPenetrationDepth () |
Gets the second penetration depth needed to describe groove weld. | |
NXOpen::Weld::WeldGrooveShape | GrooveShape () |
Returns the shape of the groove weld to create | |
NXOpen::Weld::WeldGrooveType | GrooveType () |
Returns the groove creation type | |
bool | IsFieldWeld () |
Returns the field weld status. | |
bool | IsFirstFacesetNormalReversed () |
Returns the side of the faceset to build the groove feature. | |
bool | IsNumberOfSegments () |
Returns the is number of segments option. | |
bool | IsSecondFacesetNormalReversed () |
Returns the side of the faceset to build the groove feature. | |
bool | IsSegmentLength () |
Returns the is segment length option. | |
bool | IsSpacing () |
Returns the is spacing option. | |
NXOpen::Weld::WeldArcMethod | Method () |
Returns the method | |
NXOpen::Expression * | NumberOfSegments () |
Returns the number of weld welds for a skip weld. | |
int | NumberRequiredFaceSets () |
Returns the number of connected parts. | |
NXOpen::Weld::WeldFeatureOutput | OutputGeometryType () |
Returns the output geometry type | |
NXOpen::Weld::OutputType | OutputType () |
Returns the output type. | |
NXOpen::Weld::WeldPrepareEdges | PrepareEdges () |
Returns the apply edge preportion indicator. | |
NXOpen::Weld::WeldRootUpdate | RootUpdate () |
Returns the process type | |
NXOpen::ScCollector * | SecondFaceset () |
Returns the second set of faces | |
NXOpen::Section * | SecondFacesetBottomEdges () |
Returns the second set bottom edges to extend | |
NXOpen::Point3d | SecondFacesetHelpPoint () |
Returns the second set help point. | |
NXOpen::Section * | SecondFacesetTopEdges () |
Returns the second set top edges to extend | |
NXOpen::Expression * | SegmentLength () |
Returns the segment length for a skip weld. | |
int | SequenceNumber () |
Returns the sequence number for the groove feature. | |
void | SetBottomExtension (NXOpen::Weld::WeldGrooveExtension extensionType) |
Sets the extension method for the bottom edges | |
void | SetContourHeight (const NXString &contourHeight) |
Sets the contour height needed to describe groove weld | |
void | SetContourHeight (const char *contourHeight) |
Sets the contour height needed to describe groove weld | |
void | SetContourShape (NXOpen::Weld::WeldContourShape contourShape) |
Sets the contour contour shape. | |
void | SetDistanceFromEnd (const NXString &endDistance) |
Sets the distance from the end of the faces to build the groove weld | |
void | SetDistanceFromEnd (const char *endDistance) |
Sets the distance from the end of the faces to build the groove weld | |
void | SetDistanceFromStart (const NXString &startDistance) |
Set the distance from the start of the faces to build the groove weld | |
void | SetDistanceFromStart (const char *startDistance) |
Set the distance from the start of the faces to build the groove weld | |
void | SetFieldWeld (bool fieldWeld) |
Sets the field weld status. | |
void | SetFirstFaceset (NXOpen::ScCollector *faceCollector) |
Sets the first set of faces | |
void | SetFirstFacesetBottomEdges (NXOpen::Section *section) |
Sets the first set bottom edges to extend | |
void | SetFirstFacesetEndAdjacentFaces (const std::vector< NXOpen::Face * > &objects) |
Sets the adjacent faces of the target solid. | |
void | SetFirstFacesetHelpPoint (const NXOpen::Point3d &helpPoint) |
Sets the first set help point. | |
void | SetFirstFacesetNormalReversed (bool reversed) |
Sets the side of the faceset to build the groove feature. | |
void | SetFirstFacesetStartAdjacentFaces (const std::vector< NXOpen::Face * > &objects) |
Sets the adjacent faces of the target solid. | |
void | SetFirstFacesetTopEdges (NXOpen::Section *section) |
Sets the first set top edges to extend | |
void | SetGrooveAngle (const NXString &grooveAngle) |
Sets the groove angle needed to describe groove weld | |
void | SetGrooveAngle (const char *grooveAngle) |
Sets the groove angle needed to describe groove weld | |
void | SetGrooveRadius (const NXString &grooveAngle) |
Sets the groove radius needed to describe groove weld | |
void | SetGrooveRadius (const char *grooveAngle) |
Sets the groove radius needed to describe groove weld | |
void | SetGrooveShape (NXOpen::Weld::WeldGrooveShape grooveShape) |
Sets the shape of the groove weld to create | |
void | SetGrooveType (NXOpen::Weld::WeldGrooveType grooveType) |
Sets the groove creation type | |
void | SetMethod (NXOpen::Weld::WeldArcMethod method) |
Sets the method | |
void | SetNumberOfSegments (bool isNumberOfSegments) |
Sets the is number of segments option. | |
void | SetNumberOfSegments (const NXString &numSegments) |
Sets the desired number of segments for the groove weld. | |
void | SetNumberOfSegments (const char *numSegments) |
Sets the desired number of segments for the groove weld. | |
void | SetNumberRequiredFaceSets (int numberRequiredFaceSets) |
Sets the number of connected parts. | |
void | SetOutputGeometryType (NXOpen::Weld::WeldFeatureOutput outputGeometryType) |
Sets the output geometry type | |
void | SetOutputType (NXOpen::Weld::OutputType outputType) |
Sets the output type. | |
void | SetPenetrationDepth (const NXString &penetrationDepth) |
Sets the penetration depth needed to describe groove weld | |
void | SetPenetrationDepth (const char *penetrationDepth) |
Sets the penetration depth needed to describe groove weld | |
void | SetPrepareEdges (NXOpen::Weld::WeldPrepareEdges prepareEdges) |
Sets the apply edge preportion indicator. | |
void | SetRootOpening (const NXString &rootOpening) |
Sets the root opening height needed to describe groove weld | |
void | SetRootOpening (const char *rootOpening) |
Sets the root opening height needed to describe groove weld | |
void | SetRootPenetration (const NXString &rootPenetration) |
Sets the root penetration needed to describe groove weld | |
void | SetRootPenetration (const char *rootPenetration) |
Sets the root penetration needed to describe groove weld | |
void | SetRootUpdate (NXOpen::Weld::WeldRootUpdate rootUpdate) |
Sets the process type | |
void | SetSecondFaceset (NXOpen::ScCollector *faceCollector) |
Sets the second set of faces | |
void | SetSecondFacesetBottomEdges (NXOpen::Section *edgeCollector) |
Sets the second set bottom edges to extend | |
void | SetSecondFacesetEndAdjacentFaces (const std::vector< NXOpen::Face * > &objects) |
Sets the adjacent faces of the target solid. | |
void | SetSecondFacesetHelpPoint (const NXOpen::Point3d &helpPoint) |
Sets the second set help point. | |
void | SetSecondFacesetNormalReversed (bool reversed) |
Sets the side of the faceset to build the groove feature. | |
void | SetSecondFacesetStartAdjacentFaces (const std::vector< NXOpen::Face * > &objects) |
Sets the adjacent faces of the target solid. | |
void | SetSecondFacesetTopEdges (NXOpen::Section *edgeCollector) |
Sets the second set top edges to extend | |
void | SetSecondPenetrationDepth (const NXString &secondPenetrationDepth) |
Sets the penetration depth needed to describe groove weld | |
void | SetSecondPenetrationDepth (const char *secondPenetrationDepth) |
Sets the penetration depth needed to describe groove weld | |
void | SetSegmentLength (bool isSegmentLength) |
Sets the is segment length option. | |
void | SetSegmentLength (const NXString &segmentLength) |
Sets the desired segment lengh for the skip weld. | |
void | SetSegmentLength (const char *segmentLength) |
Sets the desired segment lengh for the skip weld. | |
void | SetSequenceNumber (int sequenceNumber) |
Sets the sequence number for the groove feature. | |
void | SetSpacing (bool isSpacing) |
Sets the is spacing option. | |
void | SetSpacingDistance (const NXString &spacingDistance) |
Sets the desired spacing between skip welds. | |
void | SetSpacingDistance (const char *spacingDistance) |
Sets the desired spacing between skip welds. | |
void | SetTaperAtEnd (const NXString &endTaper) |
Sets the taper angle at the end. | |
void | SetTaperAtEnd (const char *endTaper) |
Sets the taper angle at the end. | |
void | SetTaperAtStart (const NXString &startTaper) |
Sets the taper angle at the start. | |
void | SetTaperAtStart (const char *startTaper) |
Sets the taper angle at the start. | |
void | SetTaperMethod (NXOpen::Weld::WeldTaperMethod taperMethod) |
Sets the taper method to use if tapering is specified. | |
void | SetTopExtension (NXOpen::Weld::WeldGrooveExtension extensionType) |
Sets the the extension method for the top edges | |
NXOpen::Expression * | SpacingDistance () |
Returns the desired spacing between skip welds. | |
NXOpen::Expression * | TaperAtEnd () |
Returns the taper angle at the end. | |
NXOpen::Expression * | TaperAtStart () |
Returns the taper angle at the start. | |
NXOpen::Weld::WeldTaperMethod | TaperMethod () |
Returns the taper method to use if tapering is specified. | |
NXOpen::Weld::WeldGrooveExtension | TopExtension () |
Returns the the extension method for the top edges | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Groove Weld feature
To create a new instance of this class, use Weld::WeldManager::CreateWeldGrooveBuilder
Created in NX5.0.0.
NXOpen::Weld::WeldGrooveExtension NXOpen::Weld::GrooveBuilder::BottomExtension | ( | ) |
Returns the extension method for the bottom edges
This functionality is no longer supported.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::WeldContourShape NXOpen::Weld::GrooveBuilder::ContourShape | ( | ) |
Returns the contour contour shape.
This is the shape on the top of the groove weld
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::DistanceFromEnd | ( | ) |
Returns the distance from the end of the faces to build the groove weld
Use Weld::WeldGrooveBuilder::EndDistance and Weld::WeldGrooveBuilder::SetEndDistance instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::DistanceFromStart | ( | ) |
Returns the distance from the start of the faces to build the groove weld
Use Weld::WeldGrooveBuilder::StartDistance and Weld::WeldGrooveBuilder::SetStartDistance instead.
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Weld::GrooveBuilder::FirstFaceset | ( | ) |
Returns the first set of faces
Use Weld::WeldGrooveBuilder::FaceSet1 and Weld::WeldGrooveBuilder::SetFaceSet1 instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Weld::GrooveBuilder::FirstFacesetBottomEdges | ( | ) |
Returns the first set bottom edges to extend
Use Weld::WeldGrooveBuilder::EdgeSet1 and Weld::WeldGrooveBuilder::SetEdgeSet1 instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Weld::GrooveBuilder::FirstFacesetHelpPoint | ( | ) |
Returns the first set help point.
If multiple solutions exist, the desired solution used will be the one closest to this point
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Weld::GrooveBuilder::FirstFacesetTopEdges | ( | ) |
Returns the first set top edges to extend
Use Weld::WeldGrooveBuilder::EdgeSet1 and Weld::WeldGrooveBuilder::SetEdgeSet1 instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetContourHeight | ( | ) |
Gets the contour height needed to describe groove weld shape.
Created in NX5.0.0.
License requirements : None
std::vector<NXOpen::Face *> NXOpen::Weld::GrooveBuilder::GetFirstFacesetEndAdjacentFaces | ( | ) |
Gets the adjacent faces of the target solid.
These faces are used to trim the groove weld solid with.
Created in NX5.0.0.
License requirements : None
std::vector<NXOpen::Face *> NXOpen::Weld::GrooveBuilder::GetFirstFacesetStartAdjacentFaces | ( | ) |
Gets the adjacent faces of the target solid.
These faces are used to trim the groove weld solid with.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetGrooveAngle | ( | ) |
Gets the groove angle needed to describe groove weld.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetGrooveRadius | ( | ) |
Gets the groove radius needed to describe groove weld.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetPenetrationDepth | ( | ) |
Gets the penetration depth needed to describe groove weld.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetRootOpening | ( | ) |
Gets the root opening height needed to describe groove weld.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetRootPenetration | ( | ) |
Gets the root penetration needed to describe groove weld.
Created in NX5.0.0.
License requirements : None
std::vector<NXOpen::Face *> NXOpen::Weld::GrooveBuilder::GetSecondFacesetEndAdjacentFaces | ( | ) |
Gets the adjacent faces of the target solid.
These faces are used to trim the groove weld solid with.
Created in NX5.0.0.
License requirements : None
std::vector<NXOpen::Face *> NXOpen::Weld::GrooveBuilder::GetSecondFacesetStartAdjacentFaces | ( | ) |
Gets the adjacent faces of the target solid.
These faces are used to trim the groove weld solid with.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::GetSecondPenetrationDepth | ( | ) |
Gets the second penetration depth needed to describe groove weld.
This is only needed if face heights are different.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::WeldGrooveShape NXOpen::Weld::GrooveBuilder::GrooveShape | ( | ) |
Returns the shape of the groove weld to create
Use Weld::WeldGrooveBuilder::Type and Weld::WeldGrooveBuilder::SetType instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::WeldGrooveType NXOpen::Weld::GrooveBuilder::GrooveType | ( | ) |
Returns the groove creation type
Use Weld::WeldGrooveBuilder::EdgeType and Weld::WeldGrooveBuilder::SetEdgeType instead.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Weld::GrooveBuilder::IsFieldWeld | ( | ) |
Returns the field weld status.
If true then this is a field weld, if false it is not.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Weld::GrooveBuilder::IsFirstFacesetNormalReversed | ( | ) |
Returns the side of the faceset to build the groove feature.
The feature will be built opposite the face closest to the help point
Created in NX5.0.0.
License requirements : None
bool NXOpen::Weld::GrooveBuilder::IsNumberOfSegments | ( | ) |
Returns the is number of segments option.
This is used when creating skip welds to compute the spacing between them.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Weld::GrooveBuilder::IsSecondFacesetNormalReversed | ( | ) |
Returns the side of the faceset to build the groove feature.
The feature will be built opposite the face closest to the help point
Created in NX5.0.0.
License requirements : None
bool NXOpen::Weld::GrooveBuilder::IsSegmentLength | ( | ) |
Returns the is segment length option.
This is used when creating skip welds to compute the spacing between them.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Weld::GrooveBuilder::IsSpacing | ( | ) |
Returns the is spacing option.
This is used when creating skip welds to compute the spacing between them.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::WeldArcMethod NXOpen::Weld::GrooveBuilder::Method | ( | ) |
Returns the method
Use Weld::WeldGrooveBuilder::CreateSkipWelds and Weld::WeldGrooveBuilder::SetCreateSkipWelds instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::NumberOfSegments | ( | ) |
Returns the number of weld welds for a skip weld.
Created in NX5.0.0.
License requirements : None
int NXOpen::Weld::GrooveBuilder::NumberRequiredFaceSets | ( | ) |
Returns the number of connected parts.
Either one for two.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::WeldFeatureOutput NXOpen::Weld::GrooveBuilder::OutputGeometryType | ( | ) |
Returns the output geometry type
This functionality is no longer supported.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::OutputType NXOpen::Weld::GrooveBuilder::OutputType | ( | ) |
Returns the output type.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::WeldPrepareEdges NXOpen::Weld::GrooveBuilder::PrepareEdges | ( | ) |
Returns the apply edge preportion indicator.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::WeldRootUpdate NXOpen::Weld::GrooveBuilder::RootUpdate | ( | ) |
Returns the process type
This functionality is no longer supported.
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Weld::GrooveBuilder::SecondFaceset | ( | ) |
Returns the second set of faces
Use Weld::WeldGrooveBuilder::FaceSet2 and Weld::WeldGrooveBuilder::SetFaceSet2 instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Weld::GrooveBuilder::SecondFacesetBottomEdges | ( | ) |
Returns the second set bottom edges to extend
Use Weld::WeldGrooveBuilder::EdgeSet2 and Weld::WeldGrooveBuilder::SetEdgeSet2 instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Weld::GrooveBuilder::SecondFacesetHelpPoint | ( | ) |
Returns the second set help point.
If multiple solutions exist, the desired solution used will be the one closest to this point
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Weld::GrooveBuilder::SecondFacesetTopEdges | ( | ) |
Returns the second set top edges to extend
Use Weld::WeldGrooveBuilder::EdgeSet2 and Weld::WeldGrooveBuilder::SetEdgeSet2 instead.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::SegmentLength | ( | ) |
Returns the segment length for a skip weld.
Created in NX5.0.0.
License requirements : None
int NXOpen::Weld::GrooveBuilder::SequenceNumber | ( | ) |
Returns the sequence number for the groove feature.
Each groove feature contains a solid. If multiple groove wels are to be created, you must specify the sequence of the groove weld you want. For example if you are expecting 3 welds to be created. You must create 3 groove weld features. The features will have sequence numbers 0,1 and 2.
Created in NX5.0.0.
License requirements : None
void NXOpen::Weld::GrooveBuilder::SetBottomExtension | ( | NXOpen::Weld::WeldGrooveExtension | extensionType | ) |
Sets the extension method for the bottom edges
This functionality is no longer supported.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
extensionType | extension type |
void NXOpen::Weld::GrooveBuilder::SetContourHeight | ( | const NXString & | contourHeight | ) |
Sets the contour height needed to describe groove weld
Use Weld::WeldGrooveBuilder::ContourHeight and Weld::WeldGrooveBuilder::SetContourHeight instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
contourHeight | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetContourHeight | ( | const char * | contourHeight | ) |
Sets the contour height needed to describe groove weld
Use Weld::WeldGrooveBuilder::ContourHeight and Weld::WeldGrooveBuilder::SetContourHeight instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
contourHeight | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetContourShape | ( | NXOpen::Weld::WeldContourShape | contourShape | ) |
Sets the contour contour shape.
This is the shape on the top of the groove weld
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
contourShape | contour shape |
void NXOpen::Weld::GrooveBuilder::SetDistanceFromEnd | ( | const NXString & | endDistance | ) |
Sets the distance from the end of the faces to build the groove weld
Use Weld::WeldGrooveBuilder::EndDistance and Weld::WeldGrooveBuilder::SetEndDistance instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
endDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetDistanceFromEnd | ( | const char * | endDistance | ) |
Sets the distance from the end of the faces to build the groove weld
Use Weld::WeldGrooveBuilder::EndDistance and Weld::WeldGrooveBuilder::SetEndDistance instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
endDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetDistanceFromStart | ( | const NXString & | startDistance | ) |
Set the distance from the start of the faces to build the groove weld
Use Weld::WeldGrooveBuilder::StartDistance and Weld::WeldGrooveBuilder::SetStartDistance instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
startDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetDistanceFromStart | ( | const char * | startDistance | ) |
Set the distance from the start of the faces to build the groove weld
Use Weld::WeldGrooveBuilder::StartDistance and Weld::WeldGrooveBuilder::SetStartDistance instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
startDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetFieldWeld | ( | bool | fieldWeld | ) |
Sets the field weld status.
If true then this is a field weld, if false it is not.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
fieldWeld | field weld |
void NXOpen::Weld::GrooveBuilder::SetFirstFaceset | ( | NXOpen::ScCollector * | faceCollector | ) |
Sets the first set of faces
Use Weld::WeldGrooveBuilder::FaceSet1 and Weld::WeldGrooveBuilder::SetFaceSet1 instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
faceCollector | face collector |
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetBottomEdges | ( | NXOpen::Section * | section | ) |
Sets the first set bottom edges to extend
Use Weld::WeldGrooveBuilder::EdgeSet1 and Weld::WeldGrooveBuilder::SetEdgeSet1 instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
section | section |
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetEndAdjacentFaces | ( | const std::vector< NXOpen::Face * > & | objects | ) |
Sets the adjacent faces of the target solid.
These faces are used to trim the groove weld solid with.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
objects | objects |
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetHelpPoint | ( | const NXOpen::Point3d & | helpPoint | ) |
Sets the first set help point.
If multiple solutions exist, the desired solution used will be the one closest to this point
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
helpPoint | help point |
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetNormalReversed | ( | bool | reversed | ) |
Sets the side of the faceset to build the groove feature.
The feature will be built opposite the face closest to the help point
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
reversed | reversed |
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetStartAdjacentFaces | ( | const std::vector< NXOpen::Face * > & | objects | ) |
Sets the adjacent faces of the target solid.
These faces are used to trim the groove weld solid with.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
objects | objects |
void NXOpen::Weld::GrooveBuilder::SetFirstFacesetTopEdges | ( | NXOpen::Section * | section | ) |
Sets the first set top edges to extend
Use Weld::WeldGrooveBuilder::EdgeSet1 and Weld::WeldGrooveBuilder::SetEdgeSet1 instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
section | section |
void NXOpen::Weld::GrooveBuilder::SetGrooveAngle | ( | const NXString & | grooveAngle | ) |
Sets the groove angle needed to describe groove weld
Use Weld::WeldGrooveBuilder::GrooveAngle and Weld::WeldGrooveBuilder::SetGrooveAngle instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
grooveAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetGrooveAngle | ( | const char * | grooveAngle | ) |
Sets the groove angle needed to describe groove weld
Use Weld::WeldGrooveBuilder::GrooveAngle and Weld::WeldGrooveBuilder::SetGrooveAngle instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
grooveAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetGrooveRadius | ( | const NXString & | grooveAngle | ) |
Sets the groove radius needed to describe groove weld
Use Weld::WeldGrooveBuilder::GrooveRadius and Weld::WeldGrooveBuilder::SetGrooveRadius instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
grooveAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetGrooveRadius | ( | const char * | grooveAngle | ) |
Sets the groove radius needed to describe groove weld
Use Weld::WeldGrooveBuilder::GrooveRadius and Weld::WeldGrooveBuilder::SetGrooveRadius instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
grooveAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetGrooveShape | ( | NXOpen::Weld::WeldGrooveShape | grooveShape | ) |
Sets the shape of the groove weld to create
Use Weld::WeldGrooveBuilder::Type and Weld::WeldGrooveBuilder::SetType instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
grooveShape | groove shape |
void NXOpen::Weld::GrooveBuilder::SetGrooveType | ( | NXOpen::Weld::WeldGrooveType | grooveType | ) |
Sets the groove creation type
Use Weld::WeldGrooveBuilder::EdgeType and Weld::WeldGrooveBuilder::SetEdgeType instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
grooveType | groove type |
void NXOpen::Weld::GrooveBuilder::SetMethod | ( | NXOpen::Weld::WeldArcMethod | method | ) |
Sets the method
Use Weld::WeldGrooveBuilder::CreateSkipWelds and Weld::WeldGrooveBuilder::SetCreateSkipWelds instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
method | method |
void NXOpen::Weld::GrooveBuilder::SetNumberOfSegments | ( | bool | isNumberOfSegments | ) |
Sets the is number of segments option.
This is used when creating skip welds to compute the spacing between them.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
isNumberOfSegments | is number of segments |
void NXOpen::Weld::GrooveBuilder::SetNumberOfSegments | ( | const NXString & | numSegments | ) |
Sets the desired number of segments for the groove weld.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
numSegments | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetNumberOfSegments | ( | const char * | numSegments | ) |
Sets the desired number of segments for the groove weld.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
numSegments | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetNumberRequiredFaceSets | ( | int | numberRequiredFaceSets | ) |
Sets the number of connected parts.
Either one for two.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
numberRequiredFaceSets | number required face sets |
void NXOpen::Weld::GrooveBuilder::SetOutputGeometryType | ( | NXOpen::Weld::WeldFeatureOutput | outputGeometryType | ) |
Sets the output geometry type
This functionality is no longer supported.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
outputGeometryType | output geometry type |
void NXOpen::Weld::GrooveBuilder::SetOutputType | ( | NXOpen::Weld::OutputType | outputType | ) |
Sets the output type.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
outputType | output type |
void NXOpen::Weld::GrooveBuilder::SetPenetrationDepth | ( | const NXString & | penetrationDepth | ) |
Sets the penetration depth needed to describe groove weld
Use Weld::WeldGrooveBuilder::PenetrationDepth and Weld::WeldGrooveBuilder::SetPenetrationDepth instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
penetrationDepth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetPenetrationDepth | ( | const char * | penetrationDepth | ) |
Sets the penetration depth needed to describe groove weld
Use Weld::WeldGrooveBuilder::PenetrationDepth and Weld::WeldGrooveBuilder::SetPenetrationDepth instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
penetrationDepth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetPrepareEdges | ( | NXOpen::Weld::WeldPrepareEdges | prepareEdges | ) |
Sets the apply edge preportion indicator.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
prepareEdges | prepare edges |
void NXOpen::Weld::GrooveBuilder::SetRootOpening | ( | const NXString & | rootOpening | ) |
Sets the root opening height needed to describe groove weld
Use Weld::WeldGrooveBuilder::RootOpening and Weld::WeldGrooveBuilder::SetRootOpening instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
rootOpening | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetRootOpening | ( | const char * | rootOpening | ) |
Sets the root opening height needed to describe groove weld
Use Weld::WeldGrooveBuilder::RootOpening and Weld::WeldGrooveBuilder::SetRootOpening instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
rootOpening | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetRootPenetration | ( | const NXString & | rootPenetration | ) |
Sets the root penetration needed to describe groove weld
Use Weld::WeldGrooveBuilder::RootPenetration and Weld::WeldGrooveBuilder::SetRootPenetration instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
rootPenetration | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetRootPenetration | ( | const char * | rootPenetration | ) |
Sets the root penetration needed to describe groove weld
Use Weld::WeldGrooveBuilder::RootPenetration and Weld::WeldGrooveBuilder::SetRootPenetration instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
rootPenetration | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetRootUpdate | ( | NXOpen::Weld::WeldRootUpdate | rootUpdate | ) |
Sets the process type
This functionality is no longer supported.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
rootUpdate | root update |
void NXOpen::Weld::GrooveBuilder::SetSecondFaceset | ( | NXOpen::ScCollector * | faceCollector | ) |
Sets the second set of faces
Use Weld::WeldGrooveBuilder::FaceSet2 and Weld::WeldGrooveBuilder::SetFaceSet2 instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
faceCollector | face collector |
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetBottomEdges | ( | NXOpen::Section * | edgeCollector | ) |
Sets the second set bottom edges to extend
Use Weld::WeldGrooveBuilder::EdgeSet2 and Weld::WeldGrooveBuilder::SetEdgeSet2 instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
edgeCollector | edge collector |
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetEndAdjacentFaces | ( | const std::vector< NXOpen::Face * > & | objects | ) |
Sets the adjacent faces of the target solid.
These faces are used to trim the groove weld solid with.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
objects | objects |
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetHelpPoint | ( | const NXOpen::Point3d & | helpPoint | ) |
Sets the second set help point.
If multiple solutions exist, the desired solution used will be the one closest to this point
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
helpPoint | help point |
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetNormalReversed | ( | bool | reversed | ) |
Sets the side of the faceset to build the groove feature.
The feature will be built opposite the face closest to the help point
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
reversed | reversed |
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetStartAdjacentFaces | ( | const std::vector< NXOpen::Face * > & | objects | ) |
Sets the adjacent faces of the target solid.
These faces are used to trim the groove weld solid with.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
objects | objects |
void NXOpen::Weld::GrooveBuilder::SetSecondFacesetTopEdges | ( | NXOpen::Section * | edgeCollector | ) |
Sets the second set top edges to extend
Use Weld::WeldGrooveBuilder::EdgeSet2 and Weld::WeldGrooveBuilder::SetEdgeSet2 instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
edgeCollector | edge collector |
void NXOpen::Weld::GrooveBuilder::SetSecondPenetrationDepth | ( | const NXString & | secondPenetrationDepth | ) |
Sets the penetration depth needed to describe groove weld
Use Weld::WeldGrooveBuilder::SecondPenetrationDepth and Weld::WeldGrooveBuilder::SetSecondPenetrationDepth instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
secondPenetrationDepth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetSecondPenetrationDepth | ( | const char * | secondPenetrationDepth | ) |
Sets the penetration depth needed to describe groove weld
Use Weld::WeldGrooveBuilder::SecondPenetrationDepth and Weld::WeldGrooveBuilder::SetSecondPenetrationDepth instead.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
secondPenetrationDepth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetSegmentLength | ( | bool | isSegmentLength | ) |
Sets the is segment length option.
This is used when creating skip welds to compute the spacing between them.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
isSegmentLength | is segment length |
void NXOpen::Weld::GrooveBuilder::SetSegmentLength | ( | const NXString & | segmentLength | ) |
Sets the desired segment lengh for the skip weld.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
segmentLength | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetSegmentLength | ( | const char * | segmentLength | ) |
Sets the desired segment lengh for the skip weld.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
segmentLength | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetSequenceNumber | ( | int | sequenceNumber | ) |
Sets the sequence number for the groove feature.
Each groove feature contains a solid. If multiple groove wels are to be created, you must specify the sequence of the groove weld you want. For example if you are expecting 3 welds to be created. You must create 3 groove weld features. The features will have sequence numbers 0,1 and 2.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
sequenceNumber | sequence number |
void NXOpen::Weld::GrooveBuilder::SetSpacing | ( | bool | isSpacing | ) |
Sets the is spacing option.
This is used when creating skip welds to compute the spacing between them.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
isSpacing | is spacing |
void NXOpen::Weld::GrooveBuilder::SetSpacingDistance | ( | const NXString & | spacingDistance | ) |
Sets the desired spacing between skip welds.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
spacingDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetSpacingDistance | ( | const char * | spacingDistance | ) |
Sets the desired spacing between skip welds.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
spacingDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetTaperAtEnd | ( | const NXString & | endTaper | ) |
Sets the taper angle at the end.
A positive number will taper towards the inside of the weld.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
endTaper | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetTaperAtEnd | ( | const char * | endTaper | ) |
Sets the taper angle at the end.
A positive number will taper towards the inside of the weld.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
endTaper | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetTaperAtStart | ( | const NXString & | startTaper | ) |
Sets the taper angle at the start.
A positive number will taper towards the inside of the weld.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
startTaper | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetTaperAtStart | ( | const char * | startTaper | ) |
Sets the taper angle at the start.
A positive number will taper towards the inside of the weld.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
startTaper | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::GrooveBuilder::SetTaperMethod | ( | NXOpen::Weld::WeldTaperMethod | taperMethod | ) |
Sets the taper method to use if tapering is specified.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
taperMethod | taper method |
void NXOpen::Weld::GrooveBuilder::SetTopExtension | ( | NXOpen::Weld::WeldGrooveExtension | extensionType | ) |
Sets the the extension method for the top edges
This functionality is no longer supported.
Created in NX5.0.0.
License requirements : ugweld ("UG WELD")
extensionType | extension type |
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::SpacingDistance | ( | ) |
Returns the desired spacing between skip welds.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::TaperAtEnd | ( | ) |
Returns the taper angle at the end.
A positive number will taper towards the inside of the weld.
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::GrooveBuilder::TaperAtStart | ( | ) |
Returns the taper angle at the start.
A positive number will taper towards the inside of the weld.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::WeldTaperMethod NXOpen::Weld::GrooveBuilder::TaperMethod | ( | ) |
Returns the taper method to use if tapering is specified.
Created in NX5.0.0.
License requirements : None
NXOpen::Weld::WeldGrooveExtension NXOpen::Weld::GrooveBuilder::TopExtension | ( | ) |
Returns the the extension method for the top edges
This functionality is no longer supported.
Created in NX5.0.0.
License requirements : None